# cHistogramBase Class Reference
[Statistical data collection]

`#include <chist.h>`

Inheritance diagram for cHistogramBase:

List of all members.

## Detailed Description

Base class for histogram classes.

It adds a vector of counters to cDensityEstBase.

## Public Member Functions

Constructors, destructor, assignment.
| cHistogramBase (const cHistogramBase &r)
| cHistogramBase (const char *name, int numcells)
virtual | ~cHistogramBase ()
cHistogramBase & | operator= (const cHistogramBase &res)
Redefined cObject member functions.
virtual void | netPack (cCommBuffer *buffer)
virtual void | netUnpack (cCommBuffer *buffer)
Redefined member functions from cStatistic and its subclasses.
virtual void | clearResult ()
virtual void | transform ()
virtual int | cells () const
virtual void | saveToFile (FILE *) const
virtual void | loadFromFile (FILE *)
New member functions.
virtual void | setNumCells (int numcells)

## Constructor & Destructor Documentation

cHistogramBase::cHistogramBase | ( | const cHistogramBase & | r | ) | `[inline]`

| Copy constructor.

cHistogramBase::cHistogramBase | ( | const char * | name,
|  | int | numcells
| ) |

| Constructor.

virtual cHistogramBase::~cHistogramBase | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual int cHistogramBase::cells | ( |  | ) | const`[virtual]`

| Returns the number of histogram cells used. Implements cDensityEstBase.

virtual void cHistogramBase::clearResult | ( |  | ) | `[virtual]`

| Clears the results collected so far. Reimplemented from cDensityEstBase. Reimplemented in cVarHistogram.

virtual void cHistogramBase::loadFromFile | ( | FILE * |  | ) | `[virtual]`

| Reads the object data from a file, in the format written out by saveToFile(). Reimplemented from cDensityEstBase. Reimplemented in cEqdHistogramBase, and cVarHistogram.

virtual void cHistogramBase::netPack | ( | cCommBuffer * | buffer | ) | `[virtual]`

| Serializes the object into a PVM or MPI send buffer. Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cDensityEstBase. Reimplemented in cEqdHistogramBase, and cVarHistogram.

virtual void cHistogramBase::netUnpack | ( | cCommBuffer * | buffer | ) | `[virtual]`

| Deserializes the object from a PVM or MPI receive buffer Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cDensityEstBase. Reimplemented in cEqdHistogramBase, and cVarHistogram.

cHistogramBase& cHistogramBase::operator= | ( | const cHistogramBase & | res | ) |

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

virtual void cHistogramBase::saveToFile | ( | FILE * |  | ) | const`[virtual]`

| Writes the contents of the object into a text file. Reimplemented from cDensityEstBase. Reimplemented in cEqdHistogramBase, and cVarHistogram.

virtual void cHistogramBase::setNumCells | ( | int | numcells | ) | `[virtual]`

| Sets the number of cells. Cannot be called when the cells have been set up already.

virtual void cHistogramBase::transform | ( |  | ) | `[virtual]`

| Transforms the table of pre-collected values into an internal histogram structure. Implements cDensityEstBase. Reimplemented in cVarHistogram.

The documentation for this class was generated from the following file:

- chist.h